import { LegendSizeChangedEventArgs as LegendSizeChangedEventArgs_internal } from "./LegendSizeChangedEventArgs";
/**
 * Provides data for legend's size changed event.
*/
var IgxLegendSizeChangedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxLegendSizeChangedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgxLegendSizeChangedEventArgs.prototype.createImplementation = function () {
        return new LegendSizeChangedEventArgs_internal();
    };
    Object.defineProperty(IgxLegendSizeChangedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxLegendSizeChangedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxLegendSizeChangedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    return IgxLegendSizeChangedEventArgs;
}());
export { IgxLegendSizeChangedEventArgs };
